<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/AIBehaviour.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/dcf/_a_i_behaviour_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">AIBehaviour.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d5/dcf/_a_i_behaviour_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d05/class_a_i_behaviour_h_l_data.html">AIBehaviourHLData</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html">AIBehaviourHLZombie2</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dfe/class_a_i_behaviour_h_l_data_zombie2.html">AIBehaviourHLDataZombie2</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6725bce485ccd888e74866246a27f167"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#a6725bce485ccd888e74866246a27f167">AIBehaviourHLData</a> ()</td></tr>
<tr class="separator:a6725bce485ccd888e74866246a27f167"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a122ca54571452bd5756c2f86b13aafd3"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#a122ca54571452bd5756c2f86b13aafd3">~AIBehaviourHLData</a> ()</td></tr>
<tr class="separator:a122ca54571452bd5756c2f86b13aafd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa053a1f6f6afc7970401f2a1cc0b2e32"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#aa053a1f6f6afc7970401f2a1cc0b2e32">OnParseConfig</a> ()</td></tr>
<tr class="separator:aa053a1f6f6afc7970401f2a1cc0b2e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5660901097834875c2900888ee8e28b8"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#a5660901097834875c2900888ee8e28b8">ParseBehaviourSlot</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>)</td></tr>
<tr class="separator:a5660901097834875c2900888ee8e28b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a581baae57e2f777ae66a61a78da96591"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#a581baae57e2f777ae66a61a78da96591">ParseAlertLevel</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>)</td></tr>
<tr class="separator:a581baae57e2f777ae66a61a78da96591"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4e5cd1fe1b3bf7307cb2b9e63c5ac98"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#ab4e5cd1fe1b3bf7307cb2b9e63c5ac98">ReadParamValue</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> paramName, <a class="el" href="../../d4/dc3/classfloat.html">float</a> defValue)</td></tr>
<tr class="separator:ab4e5cd1fe1b3bf7307cb2b9e63c5ac98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc7581cbb78829444c0e8ef025041f62"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#abc7581cbb78829444c0e8ef025041f62">~AIBehaviourHL</a> ()</td></tr>
<tr class="separator:abc7581cbb78829444c0e8ef025041f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4560b52e412d8c53d0c58cf1a7de172"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d8/d05/class_a_i_behaviour_h_l_data.html">AIBehaviourHLData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#ac4560b52e412d8c53d0c58cf1a7de172">GetTemplateData</a> ()</td></tr>
<tr class="separator:ac4560b52e412d8c53d0c58cf1a7de172"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8205b960f863843d84dcde6e2f23acc1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#a8205b960f863843d84dcde6e2f23acc1">OnInit</a> ()</td></tr>
<tr class="separator:a8205b960f863843d84dcde6e2f23acc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9ea1588ac80b8dacb1f19f70b03be56"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#ae9ea1588ac80b8dacb1f19f70b03be56">Simulate</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> timeDelta)</td></tr>
<tr class="separator:ae9ea1588ac80b8dacb1f19f70b03be56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b06a47f169f6529991137ea0ce25f77"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#a2b06a47f169f6529991137ea0ce25f77">OnDamage</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> damage, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source)</td></tr>
<tr class="separator:a2b06a47f169f6529991137ea0ce25f77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac240c7cf90966a0243839a28c1e127d2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#ac240c7cf90966a0243839a28c1e127d2">OnDamageInflicted</a> ()</td></tr>
<tr class="separator:ac240c7cf90966a0243839a28c1e127d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf50c6a2e73048031341b9d4f910e875"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#adf50c6a2e73048031341b9d4f910e875">OnAnimationEvent</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> nameCrc)</td></tr>
<tr class="separator:adf50c6a2e73048031341b9d4f910e875"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0f70247c2adc861cc69ba2e92345d10"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#ae0f70247c2adc861cc69ba2e92345d10">SetNextBehaviour</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> BehaviourCrc)</td></tr>
<tr class="separator:ae0f70247c2adc861cc69ba2e92345d10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2df4dbbc2b695f1a8e97fd200a07aaeb"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#a2df4dbbc2b695f1a8e97fd200a07aaeb">SwitchToNextBehaviour</a> ()</td></tr>
<tr class="separator:a2df4dbbc2b695f1a8e97fd200a07aaeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2812cc9a55d3f30af8e1b91aea638eb"><td class="memItemLeft" align="right" valign="top">static proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#ad2812cc9a55d3f30af8e1b91aea638eb">RegAIBehaviour</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> behname, <a class="el" href="../../d2/db4/classtypename.html">typename</a> behClass, <a class="el" href="../../d2/db4/classtypename.html">typename</a> behClassData)</td></tr>
<tr class="separator:ad2812cc9a55d3f30af8e1b91aea638eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a57dbf1f961cb81d74815d38e3c16f89b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d45/class_a_i_behaviour_h_l_zombie2.html">AIBehaviourHLZombie2</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#a57dbf1f961cb81d74815d38e3c16f89b">AIBehaviourHL</a></td></tr>
<tr class="separator:a57dbf1f961cb81d74815d38e3c16f89b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >this file is interface to AI Behaviour </p>

<p class="definition">Definition in file <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html">AIBehaviour.c</a>.</p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a6725bce485ccd888e74866246a27f167" name="a6725bce485ccd888e74866246a27f167"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6725bce485ccd888e74866246a27f167">&#9670;&#160;</a></span>AIBehaviourHLData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void AIBehaviourHL::AIBehaviourHLData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00045">45</a> of file <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html">AIBehaviour.c</a>.</p>

</div>
</div>
<a id="ac4560b52e412d8c53d0c58cf1a7de172" name="ac4560b52e412d8c53d0c58cf1a7de172"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4560b52e412d8c53d0c58cf1a7de172">&#9670;&#160;</a></span>GetTemplateData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d8/d05/class_a_i_behaviour_h_l_data.html">AIBehaviourHLData</a> GetTemplateData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adf50c6a2e73048031341b9d4f910e875" name="adf50c6a2e73048031341b9d4f910e875"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf50c6a2e73048031341b9d4f910e875">&#9670;&#160;</a></span>OnAnimationEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnAnimationEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>nameCrc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00064">64</a> of file <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html">AIBehaviour.c</a>.</p>

</div>
</div>
<a id="a2b06a47f169f6529991137ea0ce25f77" name="a2b06a47f169f6529991137ea0ce25f77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b06a47f169f6529991137ea0ce25f77">&#9670;&#160;</a></span>OnDamage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnDamage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>damage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>source</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00061">61</a> of file <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html">AIBehaviour.c</a>.</p>

</div>
</div>
<a id="ac240c7cf90966a0243839a28c1e127d2" name="ac240c7cf90966a0243839a28c1e127d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac240c7cf90966a0243839a28c1e127d2">&#9670;&#160;</a></span>OnDamageInflicted()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnDamageInflicted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00063">63</a> of file <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html">AIBehaviour.c</a>.</p>

</div>
</div>
<a id="a8205b960f863843d84dcde6e2f23acc1" name="a8205b960f863843d84dcde6e2f23acc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8205b960f863843d84dcde6e2f23acc1">&#9670;&#160;</a></span>OnInit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00049">49</a> of file <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html">AIBehaviour.c</a>.</p>

</div>
</div>
<a id="aa053a1f6f6afc7970401f2a1cc0b2e32" name="aa053a1f6f6afc7970401f2a1cc0b2e32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa053a1f6f6afc7970401f2a1cc0b2e32">&#9670;&#160;</a></span>OnParseConfig()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AIBehaviourHL::OnParseConfig </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a581baae57e2f777ae66a61a78da96591" name="a581baae57e2f777ae66a61a78da96591"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a581baae57e2f777ae66a61a78da96591">&#9670;&#160;</a></span>ParseAlertLevel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void AIBehaviourHL::ParseAlertLevel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5660901097834875c2900888ee8e28b8" name="a5660901097834875c2900888ee8e28b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5660901097834875c2900888ee8e28b8">&#9670;&#160;</a></span>ParseBehaviourSlot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void AIBehaviourHL::ParseBehaviourSlot </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4e5cd1fe1b3bf7307cb2b9e63c5ac98" name="ab4e5cd1fe1b3bf7307cb2b9e63c5ac98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4e5cd1fe1b3bf7307cb2b9e63c5ac98">&#9670;&#160;</a></span>ReadParamValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> AIBehaviourHL::ReadParamValue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>paramName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>defValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad2812cc9a55d3f30af8e1b91aea638eb" name="ad2812cc9a55d3f30af8e1b91aea638eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2812cc9a55d3f30af8e1b91aea638eb">&#9670;&#160;</a></span>RegAIBehaviour()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static proto void RegAIBehaviour </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>behname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/db4/classtypename.html">typename</a> behClass&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/db4/classtypename.html">typename</a> behClassData&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae0f70247c2adc861cc69ba2e92345d10" name="ae0f70247c2adc861cc69ba2e92345d10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0f70247c2adc861cc69ba2e92345d10">&#9670;&#160;</a></span>SetNextBehaviour()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SetNextBehaviour </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>BehaviourCrc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9ea1588ac80b8dacb1f19f70b03be56" name="ae9ea1588ac80b8dacb1f19f70b03be56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9ea1588ac80b8dacb1f19f70b03be56">&#9670;&#160;</a></span>Simulate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Simulate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>timeDelta</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00053">53</a> of file <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html">AIBehaviour.c</a>.</p>

</div>
</div>
<a id="a2df4dbbc2b695f1a8e97fd200a07aaeb" name="a2df4dbbc2b695f1a8e97fd200a07aaeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2df4dbbc2b695f1a8e97fd200a07aaeb">&#9670;&#160;</a></span>SwitchToNextBehaviour()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void SwitchToNextBehaviour </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abc7581cbb78829444c0e8ef025041f62" name="abc7581cbb78829444c0e8ef025041f62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc7581cbb78829444c0e8ef025041f62">&#9670;&#160;</a></span>~AIBehaviourHL()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void ~<a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html#a57dbf1f961cb81d74815d38e3c16f89b">AIBehaviourHL</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00045">45</a> of file <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html">AIBehaviour.c</a>.</p>

</div>
</div>
<a id="a122ca54571452bd5756c2f86b13aafd3" name="a122ca54571452bd5756c2f86b13aafd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a122ca54571452bd5756c2f86b13aafd3">&#9670;&#160;</a></span>~AIBehaviourHLData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void AIBehaviourHL::~AIBehaviourHLData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00046">46</a> of file <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html">AIBehaviour.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a57dbf1f961cb81d74815d38e3c16f89b" name="a57dbf1f961cb81d74815d38e3c16f89b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57dbf1f961cb81d74815d38e3c16f89b">&#9670;&#160;</a></span>AIBehaviourHL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d8/d05/class_a_i_behaviour_h_l_data.html">AIBehaviourHLData</a> AIBehaviourHL</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html#l00001">1</a> of file <a class="el" href="../../d5/dcf/_a_i_behaviour_8c_source.html">AIBehaviour.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../d5/dcf/_a_i_behaviour_8c.html">AIBehaviour.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
